## golang-github-containers-common 0.56.0+ds1

=== debian/changelog ===
golang-github-containers-common (0.56.0+ds1-4) unstable; urgency=medium

  * backport patch to fix apparmor parsing LP: #2040082

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 15 Nov 2023 07:00:25 -0500

golang-github-containers-common (0.56.0+ds1-3) unstable; urgency=medium

  * Upload to unstable
  * Drop patches, no longer needed

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Oct 2023 08:28:07 -0400

golang-github-containers-common (0.56.0+ds1-2) experimental; urgency=medium

  * drop disable-sigstore patch

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Sep 2023 19:52:48 -0400

golang-github-containers-common (0.56.0+ds1-1) experimental; urgency=medium

  * New upstream version
  * Refresh patches
  * tighten dependencies on containers/{storage,image}
  * tighten depedendency on orchestrated-devices-container-device-interface

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 23 Sep 2023 11:21:44 -0400

=== debian/control ===
Source: golang-github-containers-common
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-github-appc-cni-dev (>> 1.0~~),
               golang-github-burntsushi-toml-dev,
               golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.1),
               golang-github-containerd-containerd-dev,
               golang-github-containernetworking-plugins-dev,
               golang-github-containers-image-dev (>> 5.28~~),
               golang-github-containers-ocicrypt-dev,
               golang-github-containers-storage-dev (>> 1.50~~),
               golang-github-coreos-bbolt-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-disiqueira-gotree-dev,
               golang-github-docker-distribution-dev,
               golang-github-docker-docker-dev,
               golang-github-docker-go-units-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-ghodss-yaml-dev,
               golang-github-godbus-dbus-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-jinzhu-copier-dev,
               golang-github-json-iterator-go-dev,
               golang-github-onsi-ginkgo-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev (>> 1.1.0~~),
               golang-github-opencontainers-runc-dev (>> 1.0.1~~),
               golang-github-opencontainers-runtime-tools-dev,
               golang-github-opencontainers-selinux-dev (>> 1.8.0),
               golang-github-opencontainers-specs-dev,
               golang-github-pkg-sftp-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-github-seccomp-libseccomp-golang-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-vishvananda-netlink-dev,
               golang-go (>> 2:1.14),
               golang-gocapability-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-term-dev,
               golang-gomega-dev,
               gpg
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-common
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-common.git
Homepage: https://github.com/containers/common
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/containers/common

Package: golang-github-containers-common
Architecture: all
Depends: container-network-stack,
         golang-github-containers-image,
         ${misc:Depends}
Recommends: netavark
Breaks: buildah (<< 1.19.2+dfsg1-2~~)
Description: Common files for github.com/containers repositories
 This package contains common configuration files for use by
 other container projects.

Package: golang-github-containers-common-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-appc-cni-dev (>> 1.0~~),
         golang-github-burntsushi-toml-dev,
         golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.1),
         golang-github-containerd-containerd-dev,
         golang-github-containernetworking-plugins-dev,
         golang-github-containers-image-dev (>> 5.28~~),
         golang-github-containers-ocicrypt-dev,
         golang-github-containers-storage-dev (>> 1.50~~),
         golang-github-coreos-bbolt-dev,
         golang-github-coreos-go-systemd-dev,
         golang-github-cyphar-filepath-securejoin-dev,
         golang-github-davecgh-go-spew-dev,
         golang-github-disiqueira-gotree-dev,
         golang-github-docker-distribution-dev,
         golang-github-docker-docker-dev,
         golang-github-docker-go-units-dev,
         golang-github-fsnotify-fsnotify-dev,
         golang-github-ghodss-yaml-dev,
         golang-github-godbus-dbus-dev,
         golang-github-hashicorp-go-multierror-dev,
         golang-github-jinzhu-copier-dev,
         golang-github-json-iterator-go-dev,
         golang-github-onsi-ginkgo-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev (>> 1.1.0~~),
         golang-github-opencontainers-runc-dev (>> 1.0.1~~),
         golang-github-opencontainers-runtime-tools-dev,
         golang-github-opencontainers-selinux-dev (>> 1.8.0),
         golang-github-opencontainers-specs-dev,
         golang-github-pkg-sftp-dev,
         golang-github-pmezard-go-difflib-dev,
         golang-github-seccomp-libseccomp-golang-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-github-vishvananda-netlink-dev,
         golang-gocapability-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-sync-dev,
         golang-golang-x-sys-dev,
         golang-golang-x-term-dev,
         golang-gomega-dev,
         ${misc:Depends}
Description: Common files for github.com/containers repositories (library)
 This package contains shared common files and common go code
 to manage those files in github.com/containers repos.

## golang-github-containers-common 0.57.4+ds1

=== Makefile ===
GO ?= go
GO_BUILD=$(GO) build
BUILDTAGS := containers_image_openpgp,systemd,exclude_graphdriver_devicemapper
DESTDIR ?=
PREFIX := /usr/local
CONFIGDIR := ${PREFIX}/share/containers

define go-build
	CGO_ENABLED=0 \
	GOOS=$(1) GOARCH=$(2) $(GO) build -tags "$(3)" ./...
endef

ifeq ($(shell uname -s),Linux)
define go-build-c
	CGO_ENABLED=1 \
	GOOS=$(1) GOARCH=$(2) $(GO) build -tags "$(3)" ./...
endef
else
define go-build-c
endef
endif

.PHONY:
build-cross:
	$(call go-build-c,linux) # attempt to build without tags
	$(call go-build-c,linux,,${BUILDTAGS})
	$(call go-build,linux,386,${BUILDTAGS})
	$(call go-build-c,linux) # attempt to build without tags
	$(call go-build,linux,386,${BUILDTAGS})
	$(call go-build,linux,arm,${BUILDTAGS})
	$(call go-build,linux,arm64,${BUILDTAGS})
	$(call go-build,linux,ppc64le,${BUILDTAGS})
	$(call go-build,linux,s390x,${BUILDTAGS})
	$(call go-build,darwin,amd64,${BUILDTAGS})
	$(call go-build,windows,amd64,${BUILDTAGS})
	$(call go-build,windows,386,${BUILDTAGS})

.PHONY: all
all: build-amd64 build-386

.PHONY: build
build: build-amd64 build-386

.PHONY: build-amd64
build-amd64:
	GOARCH=amd64 $(GO_BUILD) -tags $(BUILDTAGS) ./...

.PHONY: build-386
build-386:
ifneq ($(shell uname -s), Darwin)
	GOARCH=386 $(GO_BUILD) -tags $(BUILDTAGS) ./...
endif

.PHONY: bin/netavark-testplugin
bin/netavark-testplugin:
	$(GO_BUILD) -o $@ ./libnetwork/netavark/testplugin/

.PHONY: netavark-testplugin
netavark-testplugin: bin/netavark-testplugin

.PHONY: docs
docs:
	$(MAKE) -C docs

.PHONY: validate
validate: build/golangci-lint
	./build/golangci-lint run
	./tools/validate_seccomp.sh ./pkg/seccomp

vendor-in-container:
	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make vendor

.PHONY: vendor
vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify

.PHONY: install.tools
install.tools: build/golangci-lint .install.md2man

build/golangci-lint: VERSION=v1.53.3
build/golangci-lint:
	curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/$(VERSION)/install.sh | sh -s -- -b ./build $(VERSION)

.install.md2man:
	$(GO) install github.com/cpuguy83/go-md2man/v2@latest

.PHONY: install
install:
	install -d ${DESTDIR}/${CONFIGDIR}
	install -m 0644 pkg/config/containers.conf ${DESTDIR}/${CONFIGDIR}/containers.conf

	$(MAKE) -C docs install

.PHONY: test
test: test-unit

.PHONY: test-unit
test-unit: netavark-testplugin
	go test --tags seccomp,$(BUILDTAGS) -v ./...
	go test --tags remote,$(BUILDTAGS) -v ./pkg/config

.PHONY: codespell
codespell:
	codespell -L ro,hastable,shouldnot -w

clean: ## Clean artifacts
	$(MAKE) -C docs clean
	find . -name \*~ -delete
	find . -name \#\* -delete

.PHONY: seccomp.json
seccomp.json: $(sources)
	$(GO) run ./cmd/seccomp/generate.go

=== debian/changelog ===
golang-github-containers-common (0.57.4+ds1-2ubuntu0.2) noble-security; urgency=medium

  * No-change rebuild to copy the previous fix to the security pocket.

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Fri, 09 May 2025 10:52:38 -0230

golang-github-containers-common (0.57.4+ds1-2ubuntu0.1) noble; urgency=medium

  * d/p/0002-Update-apparmor-profile-to-support-v4.0.0.patch: allow sending
    signals to containers (LP: #2040483).
  * d/p/0003-Add-AppArmor-suffix-to-the-AppArmor-profile-name.patch: version
    the AppArmor profile to allow updates in stable releases.
  * d/rules: check if the AppArmor profile template changed.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 23 Sep 2024 18:02:01 -0300

golang-github-containers-common (0.57.4+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 07 Feb 2024 05:46:45 -0500

golang-github-containers-common (0.57.4+ds1-1) experimental; urgency=medium

  * New upstream release.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Feb 2024 07:48:53 -0500

golang-github-containers-common (0.57.2+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 24 Jan 2024 21:31:09 -0500

golang-github-containers-common (0.57.2+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 23 Jan 2024 18:54:15 -0500

golang-github-containers-common (0.57.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Jan 2024 15:14:56 -0500

golang-github-containers-common (0.57.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Bump dependency on golang-toml, fixes a unit test case

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 23 Nov 2023 17:04:18 +0000

=== debian/rules ===
#!/usr/bin/make -f

# get './pkg/config/containers.conf' installed
export DH_GOLANG_INSTALL_ALL := 1

# disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
export DEB_BUILD_MAINT_OPTIONS := optimize=-lto

# avoid installing test utilities
export DH_GOLANG_EXCLUDES := netavark/testplugin

BUILDTAGS := containers_image_openpgp,systemd

APPARMOR_PROFILE_TEMPLATE := pkg/apparmor/apparmor_linux_template.go
APPARMOR_PROFILE_TEMPLATE_BUILD_SHA256 := $(shell sha256sum $(CURDIR)/$(APPARMOR_PROFILE_TEMPLATE) | cut -d ' ' -f 1)
# In pkg/apparmor/apparmor.go, AppArmorSuffix == "-apparmor1"
# Remember to apply the patches before getting the hash.
APPARMOR_PROFILE_TEMPLATE_SHA256 := a25f5c6a58f4464207b64dfd30b6a4b912fca8a9314009044027e292548a1686

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	# Check whether the AppArmor profile template was modified, if yes, do not let the build
	# succeed and notify that the AppArmorSufix needs updating.
ifeq ($(APPARMOR_PROFILE_TEMPLATE_SHA256), $(APPARMOR_PROFILE_TEMPLATE_BUILD_SHA256))
	@echo "The AppArmor profile template is unchanged."
else
	@echo "The file $(APPARMOR_PROFILE_TEMPLATE) changed, and the AppArmorSuffix variable"
	@echo "in pkg/apparmor/apparmor.go needs to be updated accordingly to make this"
	@echo "update effective."
	exit 1
endif
	dh_auto_build -v  --builddirectory=_build -- -tags "$(BUILDTAGS)"

override_dh_auto_install:
	dh_auto_install --builddirectory=_build --buildsystem=golang
	make -C docs docs GOMD2MAN=go-md2man
	make -C docs install install DESTDIR=$(CURDIR)/debian/golang-github-containers-common PREFIX=/usr

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="pkg/auth pkg/ssh pkg/cgroupv2 pkg/machine pkg/config pkg/cgroups libimage pkg/secrets/passdriver libnetwork/cni libnetwork/netavark" \
	dh_auto_test

execute_after_dh_clean:
	make -C docs clean

## golang-github-containers-common 0.58.2+ds1

=== debian/changelog ===
golang-github-containers-common (0.58.2+ds1-3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/apparmor-Allow-confined-runc-crun-to-kill-containers.patch: fix
      apparmor signal filtering (LP: #2040483)
  * Dropped changes:
    - d/p/fix-apparmor-parsing.patch: drop patch no longer needed (dropped
      in 0.58.2+ds1-3 as well)

 -- Shengjing Zhu <shengjing.zhu@canonical.com>  Thu, 15 Aug 2024 08:19:41 +0000

golang-github-containers-common (0.58.2+ds1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Jul 2024 22:53:32 +0200

golang-github-containers-common (0.58.2+ds1-2) experimental; urgency=medium

  * New upstream version

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 28 Apr 2024 07:35:34 -0400

golang-github-containers-common (0.58.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Drop distro patches, all applied upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Mar 2024 18:46:11 -0400

golang-github-containers-common (0.57.4+ds1-4) experimental; urgency=medium

  * backport 10f54a3421bab66685ab7cd9330623e7166a4e61

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Feb 2024 15:50:41 -0500

golang-github-containers-common (0.57.4+ds1-3) experimental; urgency=medium

  * build against containers/image 5.29.2

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Feb 2024 18:14:56 -0500

golang-github-containers-common (0.57.4+ds1-2ubuntu1) oracular; urgency=medium

  * d/p/apparmor-Allow-confined-runc-crun-to-kill-containers.patch: patch to
    fix apparmor signal filtering (LP: #2040483)
  * d/p/fix-apparmor-parsing.patch: drop patch no longer needed

 -- Neil Wilson <neil@aldur.co.uk>  Wed, 22 May 2024 15:25:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-github-containers-common
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -8,13 +9,13 @@
                dh-golang,
                go-md2man,
                golang-github-appc-cni-dev (>> 1.0~~),
-               golang-github-burntsushi-toml-dev,
-               golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.1),
+               golang-github-burntsushi-toml-dev (>> 1.3),
+               golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
                golang-github-containerd-containerd-dev,
                golang-github-containernetworking-plugins-dev,
-               golang-github-containers-image-dev (>> 5.28~~),
+               golang-github-containers-image-dev (>> 5.30.2~~),
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>> 1.50~~),
+               golang-github-containers-storage-dev (>> 1.53~~),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-cyphar-filepath-securejoin-dev,
@@ -74,13 +75,13 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-appc-cni-dev (>> 1.0~~),
-         golang-github-burntsushi-toml-dev,
-         golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.1),
+         golang-github-burntsushi-toml-dev (>> 1.3),
+         golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
          golang-github-containerd-containerd-dev,
          golang-github-containernetworking-plugins-dev,
-         golang-github-containers-image-dev (>> 5.28~~),
+         golang-github-containers-image-dev (>> 5.30.2~~),
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>> 1.50~~),
+         golang-github-containers-storage-dev (>> 1.53~~),
          golang-github-coreos-bbolt-dev,
          golang-github-coreos-go-systemd-dev,
          golang-github-cyphar-filepath-securejoin-dev,

## golang-github-containers-common 0.60.4+ds1

=== debian/changelog ===
golang-github-containers-common (0.60.4+ds1-1) unstable; urgency=medium

  * New upstream release
     - pkg/subscriptions: use securejoin for the container path
     - Fixes: CVE-2024-9341, Closes: #1084061

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 16 Oct 2024 06:17:52 -0400

golang-github-containers-common (0.60.3+ds1-3) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 25 Sep 2024 08:01:08 -0400

golang-github-containers-common (0.60.2+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 10 Sep 2024 06:53:56 -0400

golang-github-containers-common (0.60.2+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Sep 2024 09:41:43 -0400

golang-github-containers-common (0.60.1+ds1-3) unstable; urgency=medium

  * Upload to unstable
  * Add breaks on buildah (<< 1.37)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:35:49 -0400

golang-github-containers-common (0.60.1+ds1-2) experimental; urgency=medium

  * Tighten dependency on containers/image

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 08:55:08 -0400

golang-github-containers-common (0.60.1+ds1-1) experimental; urgency=medium

  * New upstrean version: 0.60.1

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 08:43:17 -0400

golang-github-containers-common (0.60.0+ds1-1) experimental; urgency=medium

  * New upstream version: 0.60.0
  * tighten dependencies containers/{common,image}
  * tighten depndencies on:
    - golang-github-checkpoint-restore-go-criu-dev
    - golang-github-checkpoint-restore-checkpointctl-dev
    - golang-github-containers-storage-dev
    - golang-github-containers-image-dev

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Aug 2024 19:43:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-containers-common
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -10,12 +9,14 @@
                go-md2man,
                golang-github-appc-cni-dev (>> 1.0~~),
                golang-github-burntsushi-toml-dev (>> 1.3),
+               golang-github-checkpoint-restore-checkpointctl-dev (>> 1.2~~),
+               golang-github-checkpoint-restore-go-criu-dev (>> 7.1~~),
                golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
                golang-github-containerd-containerd-dev,
                golang-github-containernetworking-plugins-dev,
-               golang-github-containers-image-dev (>> 5.30.2~~),
+               golang-github-containers-image-dev (>> 5.32.2~~),
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>> 1.53~~),
+               golang-github-containers-storage-dev (>> 1.55~~),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-cyphar-filepath-securejoin-dev,
@@ -74,14 +75,17 @@
 Package: golang-github-containers-common-dev
 Architecture: all
 Multi-Arch: foreign
+Breaks: golang-github-containers-buildah-dev (<< 1.37)
 Depends: golang-github-appc-cni-dev (>> 1.0~~),
          golang-github-burntsushi-toml-dev (>> 1.3),
+         golang-github-checkpoint-restore-checkpointctl-dev (>> 1.2~~),
+         golang-github-checkpoint-restore-go-criu-dev (>> 7.1~~),
          golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
          golang-github-containerd-containerd-dev,
          golang-github-containernetworking-plugins-dev,
-         golang-github-containers-image-dev (>> 5.30.2~~),
+         golang-github-containers-image-dev (>> 5.32.2~~),
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>> 1.53~~),
+         golang-github-containers-storage-dev (>> 1.55~~),
          golang-github-coreos-bbolt-dev,
          golang-github-coreos-go-systemd-dev,
          golang-github-cyphar-filepath-securejoin-dev,

## golang-github-containers-common 0.61.0+ds1

=== debian/changelog ===
golang-github-containers-common (0.61.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Nov 2024 10:00:45 -0500

golang-github-containers-common (0.61.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Tighten dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Nov 2024 06:51:48 -0500

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                go-md2man,
                golang-github-appc-cni-dev (>> 1.0~~),
                golang-github-burntsushi-toml-dev (>> 1.3),
-               golang-github-checkpoint-restore-checkpointctl-dev (>> 1.2~~),
-               golang-github-checkpoint-restore-go-criu-dev (>> 7.1~~),
+               golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3~~),
+               golang-github-checkpoint-restore-go-criu-dev (>> 7.2~~),
                golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
-               golang-github-containerd-containerd-dev,
+               golang-github-containerd-platforms-dev,
                golang-github-containernetworking-plugins-dev,
-               golang-github-containers-image-dev (>> 5.32.2~~),
+               golang-github-containers-image-dev (>> 5.33~~),
                golang-github-containers-ocicrypt-dev,
                golang-github-containers-storage-dev (>> 1.55~~),
                golang-github-coreos-bbolt-dev,
@@ -25,12 +25,13 @@
                golang-github-docker-distribution-dev,
                golang-github-docker-docker-dev,
                golang-github-docker-go-units-dev,
-               golang-github-fsnotify-fsnotify-dev,
+               golang-github-fsnotify-fsnotify-dev (>> 1.8~~),
                golang-github-ghodss-yaml-dev,
                golang-github-godbus-dbus-dev,
                golang-github-hashicorp-go-multierror-dev,
                golang-github-jinzhu-copier-dev,
                golang-github-json-iterator-go-dev,
+               golang-github-moby-sys-dev (>> 0.0~git20240807),
                golang-github-onsi-ginkgo-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev (>> 1.1.0~~),
@@ -42,6 +43,7 @@
                golang-github-pmezard-go-difflib-dev,
                golang-github-seccomp-libseccomp-golang-dev,
                golang-github-sirupsen-logrus-dev,
+               golang-github-skeema-knownhosts-dev (>> 1.3),
                golang-github-spf13-cobra-dev,
                golang-github-spf13-pflag-dev,
                golang-github-stretchr-testify-dev,
@@ -78,12 +80,12 @@
 Breaks: golang-github-containers-buildah-dev (<< 1.37)
 Depends: golang-github-appc-cni-dev (>> 1.0~~),
          golang-github-burntsushi-toml-dev (>> 1.3),
-         golang-github-checkpoint-restore-checkpointctl-dev (>> 1.2~~),
-         golang-github-checkpoint-restore-go-criu-dev (>> 7.1~~),
+         golang-github-checkpoint-restore-checkpointctl-dev (>> 1.3~~),
+         golang-github-checkpoint-restore-go-criu-dev (>> 7.2~~),
          golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
-         golang-github-containerd-containerd-dev,
+         golang-github-containerd-platforms-dev,
          golang-github-containernetworking-plugins-dev,
-         golang-github-containers-image-dev (>> 5.32.2~~),
+         golang-github-containers-image-dev (>> 5.33~~),
          golang-github-containers-ocicrypt-dev,
          golang-github-containers-storage-dev (>> 1.55~~),
          golang-github-coreos-bbolt-dev,
@@ -111,6 +113,7 @@
          golang-github-pmezard-go-difflib-dev,
          golang-github-seccomp-libseccomp-golang-dev,
          golang-github-sirupsen-logrus-dev,
+         golang-github-skeema-knownhosts-dev (>= 1.3),
          golang-github-spf13-cobra-dev,
          golang-github-spf13-pflag-dev,
          golang-github-stretchr-testify-dev,

## golang-github-containers-common 0.62.0+ds1

=== debian/changelog ===
golang-github-containers-common (0.62.0+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Feb 2025 18:57:04 -0500

golang-github-containers-common (0.61.1+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Jan 2025 16:13:00 -0500

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
                golang-github-containerd-platforms-dev,
                golang-github-containernetworking-plugins-dev,
-               golang-github-containers-image-dev (>> 5.33~~),
+               golang-github-containers-image-dev (>> 5.34~~),
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>> 1.55~~),
+               golang-github-containers-storage-dev (>> 1.57~~),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-cyphar-filepath-securejoin-dev,
@@ -85,9 +85,9 @@
          golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
          golang-github-containerd-platforms-dev,
          golang-github-containernetworking-plugins-dev,
-         golang-github-containers-image-dev (>> 5.33~~),
+         golang-github-containers-image-dev (>> 5.34~~),
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>> 1.55~~),
+         golang-github-containers-storage-dev (>> 1.57~~),
          golang-github-coreos-bbolt-dev,
          golang-github-coreos-go-systemd-dev,
          golang-github-cyphar-filepath-securejoin-dev,

## golang-github-containers-common 0.62.2%2Bds1

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
                golang-github-containerd-platforms-dev,
                golang-github-containernetworking-plugins-dev,
-               golang-github-containers-image-dev (>> 5.34~~),
+               golang-github-containers-image-dev (>> 5.34.2),
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>> 1.57~~),
+               golang-github-containers-storage-dev (>> 1.57.2),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-cyphar-filepath-securejoin-dev,
@@ -85,9 +85,9 @@
          golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
          golang-github-containerd-platforms-dev,
          golang-github-containernetworking-plugins-dev,
-         golang-github-containers-image-dev (>> 5.34~~),
+         golang-github-containers-image-dev (>> 5.34.2),
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>> 1.57~~),
+         golang-github-containers-storage-dev (>> 1.57.2),
          golang-github-coreos-bbolt-dev,
          golang-github-coreos-go-systemd-dev,
          golang-github-cyphar-filepath-securejoin-dev,

## golang-github-containers-common 0.62.2+ds1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+export GOPROXY=https://proxy.golang.org
+
 GO ?= go
 GO_BUILD=$(GO) build
 BUILDTAGS := containers_image_openpgp,systemd,exclude_graphdriver_devicemapper
@@ -34,16 +36,22 @@
 	$(call go-build,darwin,amd64,${BUILDTAGS})
 	$(call go-build,windows,amd64,${BUILDTAGS})
 	$(call go-build,windows,386,${BUILDTAGS})
+	$(call go-build,freebsd,amd64,${BUILDTAGS})
+	$(call go-build,freebsd,386,${BUILDTAGS})
 
 .PHONY: all
-all: build-amd64 build-386
+all: build-amd64 build-386 build-amd64-cni
 
 .PHONY: build
-build: build-amd64 build-386
+build: build-amd64 build-386 build-amd64-cni
 
 .PHONY: build-amd64
 build-amd64:
 	GOARCH=amd64 $(GO_BUILD) -tags $(BUILDTAGS) ./...
+
+.PHONY: build-amd64-cni
+build-amd64-cni:
+	GOARCH=amd64 $(GO_BUILD) -tags $(BUILDTAGS),cni ./...
 
 .PHONY: build-386
 build-386:
@@ -79,7 +87,7 @@
 .PHONY: install.tools
 install.tools: build/golangci-lint .install.md2man
 
-build/golangci-lint: VERSION=v1.53.3
+build/golangci-lint: VERSION=v1.60.3
 build/golangci-lint:
 	curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/$(VERSION)/install.sh | sh -s -- -b ./build $(VERSION)
 
@@ -100,10 +108,11 @@
 test-unit: netavark-testplugin
 	go test --tags seccomp,$(BUILDTAGS) -v ./...
 	go test --tags remote,$(BUILDTAGS) -v ./pkg/config
+	go test --tags cni,$(BUILDTAGS) -v ./libnetwork/cni
 
 .PHONY: codespell
 codespell:
-	codespell -L ro,hastable,shouldnot -w
+	codespell --dictionary=- -w
 
 clean: ## Clean artifacts
 	$(MAKE) -C docs clean

=== debian/changelog ===
golang-github-containers-common (0.62.2+ds1-2) unstable; urgency=medium

  * Update shortnames.conf, Closes: #1100985

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 21 Mar 2025 09:50:27 -0400

golang-github-containers-common (0.62.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * Tighten depedency on containers/{storage,image}

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 17 Mar 2025 21:34:44 -0400

=== debian/watch ===
version=4

opts="\
pgpmode=none,\
repack,compression=xz,repacksuffix=+ds1,\
dversionmangle=auto,\
" https://github.com/containers/common/tags \
  .*/v?@ANY_VERSION@\.tar\.gz

## golang-github-containers-common 0.64.1+ds1

=== debian/changelog ===
golang-github-containers-common (0.64.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Adjust import path for go-systemd/dbus for Debian
  * Revert "update github.com/opencontainers/runc to v1.3.0"

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Sep 2025 22:33:51 -0400

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
                golang-github-containerd-platforms-dev,
                golang-github-containernetworking-plugins-dev,
-               golang-github-containers-image-dev (>> 5.34.2),
+               golang-github-containers-image-dev (>> 5.36.1),
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>> 1.57.2),
+               golang-github-containers-storage-dev (>> 1.59.1),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-cyphar-filepath-securejoin-dev,
@@ -85,9 +85,9 @@
          golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
          golang-github-containerd-platforms-dev,
          golang-github-containernetworking-plugins-dev,
-         golang-github-containers-image-dev (>> 5.34.2),
+         golang-github-containers-image-dev (>> 5.36.1),
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>> 1.57.2),
+         golang-github-containers-storage-dev (>> 1.59.1),
          golang-github-coreos-bbolt-dev,
          golang-github-coreos-go-systemd-dev,
          golang-github-cyphar-filepath-securejoin-dev,

=== debian/rules ===
#!/usr/bin/make -f

# get './pkg/config/containers.conf' installed
export DH_GOLANG_INSTALL_ALL := 1

# disable LTO, cf. https://wiki.debian.org/ToolChain/LTO
export DEB_BUILD_MAINT_OPTIONS := optimize=-lto

# avoid installing test utilities
export DH_GOLANG_EXCLUDES := netavark/testplugin

BUILDTAGS := containers_image_openpgp,systemd

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_before_dh_auto_build:
	ln -sfr --verbose debian/vendor/ _build/src/vendor

override_dh_auto_build:
	dh_auto_build -v  --builddirectory=_build -- -tags "$(BUILDTAGS)"

override_dh_auto_install:
	dh_auto_install --builddirectory=_build --buildsystem=golang
	make -C docs docs GOMD2MAN=go-md2man
	make -C docs install install DESTDIR=$(CURDIR)/debian/golang-github-containers-common PREFIX=/usr

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="pkg/auth pkg/ssh pkg/cgroupv2 pkg/machine pkg/config pkg/cgroups libimage pkg/secrets/passdriver libnetwork/cni libnetwork/netavark" \
	dh_auto_test

execute_after_dh_clean:
	make -C docs clean

## golang-github-containers-common 0.64.2+ds1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 GO ?= go
 GO_BUILD=$(GO) build
-BUILDTAGS := containers_image_openpgp,systemd,exclude_graphdriver_devicemapper
+BUILDTAGS := containers_image_openpgp,systemd
 DESTDIR ?=
 PREFIX := /usr/local
 CONFIGDIR := ${PREFIX}/share/containers
@@ -71,8 +71,8 @@
 	$(MAKE) -C docs
 
 .PHONY: validate
-validate: build/golangci-lint
-	./build/golangci-lint run
+validate:
+	golangci-lint run
 	./tools/validate_seccomp.sh ./pkg/seccomp
 
 vendor-in-container:
@@ -83,14 +83,12 @@
 	$(GO) mod tidy
 	$(GO) mod vendor
 	$(GO) mod verify
+	$(GO) mod edit -toolchain none
 
 .PHONY: install.tools
-install.tools: build/golangci-lint .install.md2man
+install.tools: .install.md2man
 
-build/golangci-lint: VERSION=v1.60.3
-build/golangci-lint:
-	curl -fsSL https://raw.githubusercontent.com/golangci/golangci-lint/$(VERSION)/install.sh | sh -s -- -b ./build $(VERSION)
-
+.PHONY: .install.md2man
 .install.md2man:
 	$(GO) install github.com/cpuguy83/go-md2man/v2@latest

=== docs/Makefile ===
PREFIX := /usr/local
DATADIR := ${PREFIX}/share
MANDIR := $(DATADIR)/man
GOMD2MAN ?= $(shell command -v go-md2man || echo '$(GOBIN)/go-md2man')

docs: $(patsubst %.md,%,$(wildcard *.md))

%.5:  %.5.md
	$(GOMD2MAN) -in $^ -out $@

.PHONY: install
install:
	install -d ${DESTDIR}/${MANDIR}/man5
	install -m 0644 *5 ${DESTDIR}/${MANDIR}/man5
	install -m 0644 links/.*.5 ${DESTDIR}/${MANDIR}/man5

.PHONY: clean
clean:
	$(RM) *.5

=== debian/changelog ===
golang-github-containers-common (0.64.2+ds1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * Build against runc 1.3, Closes: #1115813

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 20 Sep 2025 15:39:24 -0400

golang-github-containers-common (0.64.1+ds1-3) experimental; urgency=medium

  * Revert "vendor opencontainers/README.md"

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Sep 2025 16:42:25 -0400

golang-github-containers-common (0.64.1+ds1-2) experimental; urgency=medium

  * Install vendored sources

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 07 Sep 2025 09:22:34 -0400

=== debian/control ===
--- 
+++ 
@@ -33,9 +33,10 @@
                golang-github-json-iterator-go-dev,
                golang-github-moby-sys-dev (>> 0.0~git20240807),
                golang-github-onsi-ginkgo-dev,
+               golang-github-opencontainers-cgroups-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev (>> 1.1.0~~),
-               golang-github-opencontainers-runc-dev (>> 1.0.1~~),
+               golang-github-opencontainers-runc-dev (>> 1.3),
                golang-github-opencontainers-runtime-tools-dev,
                golang-github-opencontainers-selinux-dev (>> 1.8.0),
                golang-github-opencontainers-specs-dev,
@@ -103,9 +104,10 @@
          golang-github-jinzhu-copier-dev,
          golang-github-json-iterator-go-dev,
          golang-github-onsi-ginkgo-dev,
+         golang-github-opencontainers-cgroups-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev (>> 1.1.0~~),
-         golang-github-opencontainers-runc-dev (>> 1.0.1~~),
+         golang-github-opencontainers-runc-dev (>> 1.3),
          golang-github-opencontainers-runtime-tools-dev,
          golang-github-opencontainers-selinux-dev (>> 1.8.0),
          golang-github-opencontainers-specs-dev,

=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
 
-execute_before_dh_auto_build:
-	ln -sfr --verbose debian/vendor/ _build/src/vendor
-
 override_dh_auto_build:
 	dh_auto_build -v  --builddirectory=_build -- -tags "$(BUILDTAGS)"

## golang-github-containers-common 0.66.0+ds2

=== Makefile ===
--- 
+++ 
@@ -70,27 +70,23 @@
 docs:
 	$(MAKE) -C docs
 
+.PHONY: lint
+lint:
+	golangci-lint run
+
 .PHONY: validate
-validate:
-	golangci-lint run
+validate: lint
 	./tools/validate_seccomp.sh ./pkg/seccomp
 
-vendor-in-container:
-	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make vendor
+.PHONY: tidy-in-container
+tidy-in-container:
+	podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src golang make tidy
 
-.PHONY: vendor
-vendor:
+.PHONY: tidy
+tidy:
 	$(GO) mod tidy
-	$(GO) mod vendor
 	$(GO) mod verify
 	$(GO) mod edit -toolchain none
-
-.PHONY: install.tools
-install.tools: .install.md2man
-
-.PHONY: .install.md2man
-.install.md2man:
-	$(GO) install github.com/cpuguy83/go-md2man/v2@latest
 
 .PHONY: install
 install:
@@ -108,10 +104,6 @@
 	go test --tags remote,$(BUILDTAGS) -v ./pkg/config
 	go test --tags cni,$(BUILDTAGS) -v ./libnetwork/cni
 
-.PHONY: codespell
-codespell:
-	codespell --dictionary=- -w
-
 clean: ## Clean artifacts
 	$(MAKE) -C docs clean
 	find . -name \*~ -delete

=== debian/changelog ===
golang-github-containers-common (0.66.0+ds2-3) unstable; urgency=medium

  * Cleanup manpage formatting

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 Nov 2025 09:36:36 -0500

golang-github-containers-common (0.66.0+ds2-2) unstable; urgency=medium

  * Update Breaks
  * Upload to unstable
  * Bump Standards Version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 27 Nov 2025 06:37:27 -0500

golang-github-containers-common (0.66.0+ds2-1) experimental; urgency=medium

  * New upstream release, Refresh patches
  * Switch to fetch sources from monorepo, cf.
    https://blog.podman.io/2025/08/migration-to-the-container-libs-monorepo-is-complete/
    - Switch to new golang import go.podman.io/image
    - debian/rules: install compat symlink
    - debian/repack: script to produce an orig.tarball that only contains
      container/image sources
  * debian/copyright: remove redundant entries
  * golang-github-containers-common-dev: add lintian-overrides
  * containerignore(5): Fix manual section

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 21 Nov 2025 06:10:11 -0500

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
                golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
                golang-github-containerd-platforms-dev,
                golang-github-containernetworking-plugins-dev,
-               golang-github-containers-image-dev (>> 5.36.1),
+               golang-github-containers-image-dev (>> 5.38),
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>> 1.59.1),
+               golang-github-containers-storage-dev (>> 1.61),
                golang-github-coreos-bbolt-dev,
                golang-github-coreos-go-systemd-dev,
                golang-github-cyphar-filepath-securejoin-dev,
@@ -57,12 +57,12 @@
                golang-golang-x-term-dev,
                golang-gomega-dev,
                gpg
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-common
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-common.git
 Homepage: https://github.com/containers/common
 Rules-Requires-Root: no
-XS-Go-Import-Path: github.com/containers/common
+XS-Go-Import-Path: go.podman.io/common
 
 Package: golang-github-containers-common
 Architecture: all
@@ -70,7 +70,9 @@
          golang-github-containers-image,
          ${misc:Depends}
 Recommends: netavark
-Breaks: buildah (<< 1.19.2+dfsg1-2~~)
+Breaks: buildah (<< 1.42),
+        podman (<< 5.7),
+        skopeo (<< 1.21)
 Description: Common files for github.com/containers repositories
  This package contains common configuration files for use by
  other container projects.
@@ -86,9 +88,9 @@
          golang-github-container-orchestrated-devices-container-device-interface-dev (>> 0.6.2),
          golang-github-containerd-platforms-dev,
          golang-github-containernetworking-plugins-dev,
-         golang-github-containers-image-dev (>> 5.36.1),
+         golang-github-containers-image-dev (>> 5.38),
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>> 1.59.1),
+         golang-github-containers-storage-dev (>> 1.61),
          golang-github-coreos-bbolt-dev,
          golang-github-coreos-go-systemd-dev,
          golang-github-cyphar-filepath-securejoin-dev,

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,12 @@
 override_dh_auto_build:
 	dh_auto_build -v  --builddirectory=_build -- -tags "$(BUILDTAGS)"
 
-override_dh_auto_install:
-	dh_auto_install --builddirectory=_build --buildsystem=golang
+# compatibility symlink
+execute_after_dh_auto_install:
 	make -C docs docs GOMD2MAN=go-md2man
 	make -C docs install install DESTDIR=$(CURDIR)/debian/golang-github-containers-common PREFIX=/usr
+	mkdir -pv debian/tmp/usr/share/gocode/src/github.com/containers
+	ln -svf ../../go.podman.io/image debian/tmp/usr/share/gocode/src/github.com/containers/image
 
 override_dh_auto_test:
 	DH_GOLANG_EXCLUDES="pkg/auth pkg/ssh pkg/cgroupv2 pkg/machine pkg/config pkg/cgroups libimage pkg/secrets/passdriver libnetwork/cni libnetwork/netavark" \
@@ -28,3 +30,4 @@
 
 execute_after_dh_clean:
 	make -C docs clean
+

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/containers/container-libs/git/matching-refs/tags/common
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/common/@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Dversion-Mangle: auto
Search-Mode: plain
Repack: yes
Update-Script: debian/repack
